@keyframes fadeoutsort
{
  from {background: $sorthover;}
  to {background: transparent;}
}

@-webkit-keyframes fadeoutsort /* Safari and Chrome */
{
  from {background: $sorthover;}
  to {background: transparent;}
}


tr.apsort-trplaceholder{
  border: 2px dashed #000;
  height: 29px;
}

tr.apsort-trplaceholder.over{
  border: 2px dashed $sortdashed;
}

tr.apsort-trplaceholder.over td{
  background-color: $sorthover;
}

tr[sortable].sorted {
  background-color: $sorthover;
}

tr[sortable].sorted{
  animation-name: fadeoutsort;
  animation-duration: 0.5s;
  animation-timing-function: linear;
  animation-delay: 0.5s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  /* Safari and Chrome: */
  -webkit-animation-name: fadeoutsort;
  -webkit-animation-duration: 0.5s;
  -webkit-animation-timing-function: linear;
  -webkit-animation-delay: 0.5s;
  -webkit-animation-iteration-count: 1;
  -webkit-animation-fill-mode: forwards;
}

table.table-fixed{table-layout: fixed; width: 100%;}
table.table tbody tr td:not(.selectTD) div{overflow: hidden;}
table.table tbody tr td.no-overflow div{overflow: visible;}

table.table.line19 tbody tr td div{height: 19px;}
table.table.line38 tbody tr td div{height: 38px;}
table.table.line58 tbody tr td div{height: 58px;}
table.table.line78 tbody tr td div{height: 78px;}
table.table.line98 tbody tr td div{height: 98px;}

table.table > tbody >tr >td{
  padding: 0px;
  padding-left: 8px;
  padding-right: 8px;
  padding-top: 4px;
  padding-bottom: 4px;
}

.table thead tr th.icon{width: 30px;}
.table thead tr th.sortableicon{
  text-align: right;
  padding-left: 0px;
  padding-right: 0px;
}
.table thead tr th.commentdate{ width: 20%;}
.table thead tr th.commentabbr{ width: 15%;}
.table thead tr th.datefield{ width: 100px;}
.table tbody tr td.icon{ padding: 0px; width: 20px; }

.table tbody tr td.icon a{
  display: block;
  margin: 0px;
  height: 100%;
  padding-left: 8px;
  padding-top: 4px;
  padding-bottom: 4px;
  padding-right: 8px;
  color: $grey4;
}
.table tbody tr td.icon a:hover{color: black;}

.tablelayout .innertable{
  margin-left: 15px;
  margin-right: 15px;
  margin-top: 15px;
  background-color: $white;
  border-radius: 4px;
  box-shadow: 0 1px 3px rgba(0,0,0,0.5);
}

.innertable table.table{border: 0;}
.innertable table.table>thead>tr>th:first-child,
.innertable table.table>tbody>tr>td:first-child{border-left: 0;}
.innertable table.table>thead>tr>th:last-child,
.innertable table.table>tbody>tr>td:last-child{border-right: 0;}
.innertable table.table>tbody>tr:first-child>td{ border-top: 1px solid $layoutcolor1;}

.innertable .table thead tr > th{border-bottom: 0px; border-top: 0px;}
.innertable .table thead tr.first > th.sort-true{ background-image:image-url("sorting_small_down.png"); background-repeat: no-repeat; background-position: right;}
.innertable .table thead tr.first > th.sort-false{background-image:image-url("sorting_small_up.png"); background-repeat: no-repeat;  background-position: right;}
.innertable .table thead tr.first > th.sortable{cursor: pointer;}
.innertable .table thead tr.second > th{padding-top: 0px;}
.innerfooter{ margin-left: 15px; margin-right: 15px;}
td.number,
th.number{text-align: right;}

.input-group-tabledate{
  position: relative;
  display: table;
  border-collapse: separate;
}

//.input-group-tabledate input.form-control:first-child{
//  border-bottom-right-radius: 0;
//  border-top-right-radius: 0;
//}
//
//.input-group-tabledate input.form-control:last-child{
//  border-bottom-left-radius: 0;
//  border-top-left-radius: 0;
//}

.input-group-tabledate div.input-group{
  position: relative;
  z-index: 2;
  float: left;
  width: 50%;
  background-color: white;
}


.pagination li a{color: $layoutcolor1;}
.pagination > .active > a, .pagination > .active > a:hover, .pagination > .active > a:focus, .pagination > .active > span, .pagination > .active > span:hover, .pagination > .active > span:focus {
  z-index: 2;
  color: #FFF;
  background-color: $layoutcolor1;
  border-color: $layoutcolor1;
  cursor: default;
}

.btn-footer:not(.btn-danger){
  border-color: $layoutcolor1;
}

.btn-footer.dropdown-toggle{
  border-left-color: $layoutcolor1;
}

.btn-footer:hover{
  background-color: red;
}

.selected{
  background-color: #5093CE;
}

.table-hover tbody tr.selected:hover td{
  background-color: #74A9D8 !important;
}

.table-loader{
  padding: 0 !important;
  position: relative;

  svg{position: absolute;}
}
